Complexity:
Subject: CSRF with registerModule and navFrameScript

Description

How to use \TYPO3\CMS\Extbase\Utility\ExtensionUltility::registerModule with navFrameScript parameter?

It does not work, as the modules are loaded before the BE_USER, so BackendUstility::getModuleUrl does only retrieve a

"dummyToken".

May you help me out?

Related issues:
related to Core - Story # 55509: Add CSRF Protection to mod.php
related to Core APls - Bug # 59369: Document possibility to have modules as n...

Resolved 2014-02-26
Needs Feedbacd014-06-05

Associated revisions
[TASK] Add possibility to register a module as navigation

While implementing CSRF protection for backend modules,
it was forgotten to implement a solution for navigation components

that also could be modules.

Add this possibility now by introducing yet another

configuration option for modules.
https://review.typo3.org/30593

[TASK] Add possibility to register a module as navigation

While implementing CSRF protection for backend modules,
it was forgotten to implement a solution for navigation components

that also could be modules.

Add this possibility now by introducing yet another

configuration option for modules.

Resolves: #58138

Documentation: #59369

Releases: 6.3, 6.2

Change-Id: 16655ad11cbf8a13c7d1182c9635cf2745183fb49
Reviewed-on: http://review.typo3.org/32676

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-06-03 14:46 - Helmut Hummel

- Status changed from New to Needs Feedback

You want to have a custom navFrame, right? How does the URL to your navigation must look like? is it mod.php?M=<moduleName> ... ?

Can you also show me how you tried to register this navigation component?

Thanks

#2 - 2014-06-04 15:33 - Falk Aaron

'navFrameScript' => BackendUTtility::getModuleUrl('RolRkchannelRkchannel_RolRkchannelM3',

array('tx_rolrkchannel_rolrkchannelrkchannel_rolrkchannelm3[action]'=> 'tree'))

Thats how i configure the navFrameScript. It's not working like that.

#3 - 2014-06-05 16:56 - Helmut Hummel

- Status changed from Needs Feedback to Accepted

#4 - 2014-06-05 17:00 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30593

#5 - 2014-06-05 17:01 - Helmut Hummel

Falk Aaron wrote:

2015-08-04 2/3


http://review.typo3.org/32676
mailto:aleichsenring@ab-softlab.de
mailto:aleichsenring@ab-softlab.de
https://review.typo3.org/30593

'navFrameScript' => BackendUlility::getModuleUrl('RolRkchannelRkchannel_RolRkchannelM3',
array('tx_rolrkchannel_rolrkchannelrkchannel_rolrkchannelm3[action]'=> 'tree’))

Thats how i configure the navFrameScript. It's not working like that.

Please check the patch in the review system.

Apply the patch and configure the navigation as follows:

'navigationFrameModule' name of the module that is loaded in the navigation frame

'navigationFrameModuleParamters' additional parameters (if needed and specified)

#6 - 2014-06-06 02:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30593

#7 - 2014-06-19 22:11 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/30593

#8 - 2014-06-21 17:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f8b88c848b41da7f52d261d3f4479bd2f9b49435.

#9 - 2014-09-09 13:08 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32676

#10 - 2014-09-09 13:30 - Helmut Hummel
- Status changed from Under Review to Resolved

Applied in changeset commit:3955abcef1fb3434e6555¢134d411a7ff0a340ef.
